# MusicalInstruments


![Image](https://i.imgur.com/buuPQel.png)

Update of Dog Problems mod
https://steamcommunity.com/sharedfiles/filedetails/?id=1549446374

- Refactored code
- Removed redundant Harmony.dll
- Fixed the musical workbench, thanks мєкση for the help!
- Added burn unwanted instrument recipe

![Image](https://i.imgur.com/pufA0kM.png)

	
![Image](https://i.imgur.com/Z4GOv8H.png)

Craft a variety of musical instruments and play them for recreation. 

FAQ

q: How is a pawn's musical ability determined?
a: The main stat is artistic skill level, combined with manipulation and consciousness capabilities. Inspired creativity also temporarily improves musical ability.

q: Which instrument is the best?
a: As a rule of thumb, guitar / drum are ok for everyone, violin / ocarina are best for skilled musicians and terrible for bad musicians, and marimba / organ are somewhere in between. Advanced instruments are generally better than primitive ones. Quality and hp of the instrument also affect the performance quality. The material the instrument is made of only affects its max hp and market price, not music quality.

q: How do I make instruments?
a: First you need to complete the appropriate research project for the instrument you want. After that, small instruments are made at the sculptor's bench (quality depends on artistic skill), and large instruments are constructed as buildings (under the Joy tab, quality depends on construction skill). Alternatively, you can buy instruments from an exotic goods trader or a neutral / friendly faction base.

q: Does playing music train any skill?
a: Yes, playing music trains the artistic skill. If the pawn is playing for joy, it trains slowly. If they're playing for work, it trains at full speed (but doesn't give any joy)

q: Can I add this mod to a colony I've already started?
a: Adding this mod to a vanilla save is fine, although you will need to designate a table/campfire as a music spot and allow instruments in your stockpile zones (these are normally done automatically). If you already have other mods loaded, your mileage may vary. If the mods are compatible at all, adding to a pre-existing save shouldn't be a problem, but as there are so many mods for Rimworld I can't guarantee compatibility with every one. In this case I recommend backing up your save file before adding this mod.

q: Why isn't my pawn playing music?
a: This could be for a number of reasons...
    - The pawn is incapable of artistic work. This pawn will never play music and nothing can be done about it.
    - The pawn doesn't have access to an instrument; either there aren't any free instruments on the map or they're forbidden or outside of the pawn's allowed area (or in the case of the electric organ, it's broken down / lacking power).
    - The pawn doesn't have access to an active music spot. Tables and campfires are music spots by default but can be turned on or off. You can also place a dedicated music spot. Like instruments, the music spots could also be forbidden or outside of the allowed area.
    - The pawn isn't allowed any joy time, and they're either not assigned to art or have other art jobs with higher priority. Pawns will play for joy or work - playing as work is a lower priority than sculpting.
    - The pawn has just played for work, or they're bored of music-type recreation. Pawns can only play two work performances per in-game day - otherwise they would never fall through to lower-priority jobs. The 'music appreciation' recreation type added by the mod also has a boredom threshold, like any other recreation type. If this is exceeded then the pawn won't play for joy until it's had time to go back down.

q: I think I found a bug, what should I do?
a: Just post a comment describing the problem, and I'll try to fix it. The more useful information you can provide, the more likely I am to be able to resolve the issue. Useful information includes: what you were trying to do at the time, what you expected to happen, what actually happened, any error messages from the dev mode console, any other mods you have installed.

![Image](https://i.imgur.com/PwoNOj4.png)



-  See if the the error persists if you just have this mod and its requirements active.
-  If not, try adding your other mods until it happens again.
-  Post your error-log using https://steamcommunity.com/workshop/filedetails/?id=818773962]HugsLib and command Ctrl+F12
-  For best support, please use the Discord-channel for error-reporting.
-  Do not report errors by making a discussion-thread, I get no notification of that.
-  If you have the solution for a problem, please post it to the GitHub repository.




